Foreman - Bug #14546

No ability to restrict *_external_variables with search anymore
04/08/2016 05:50 AM - Sander Hoentjen

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Users, Roles and Permissions
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1360191 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3530
Description

Since Foreman 1.10 it is not possible to restrict Resource="Lookup key" with search anymore. The page to edit says:
"Selected resource type does not support granular filtering, therefore you can't configure granularity”
In Foreman 1.9 this was working fine.

Related issues:

Related to Foreman - Refactor #10832: Make LookupKey an STI for puppet and va... Closed 06/16/2015
Related to Foreman - Bug #14535: /api/smart_class_parameters needs administra... Closed 04/07/2016
Related to Foreman - Bug #15445: Filter not working for permission: edit_para... Resolved 06/16/2016

Associated revisions

Revision 3fe2ea3d - 05/27/2016 06:48 AM - Ori Rabin

Fixes #14546 - ability to restrict *_external_variables
Fixes #14535 - corrects permissions for smart class parameters

History

#1 - 04/08/2016 06:02 AM - Dominic Cleal
- Related to Refactor #10832: Make LookupKey an STI for puppet and variable keys added

#2 - 04/08/2016 06:03 AM - Dominic Cleal

- Related to Bug #14535: /api/smart_class_parameters needs administrator permissions added

#3 - 04/08/2016 06:04 AM - Dominic Cleal

- Subject changed from No abilitie to restrict *_external _variables with search anymore to No ability to restrict *_external_variables with search
anymore

- Category set to Users, Roles and Permissions

Looking in more detail, this might be more closely related to #14535 than | thought. It's likely that having the permission point to LookupKey rather
than PuppetclassLookupKey means the granularity? check is failing, as LookupKey itself has no search function.

#4 - 05/16/2016 10:38 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/3530 added

#5 - 05/27/2016 07:02 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3fe2ea3df66bd2e2e35416df090323f0e54a85ef.
https://projects.theforeman.org/issues/14535
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3fe2ea3df66bd2e2e35416df090323f0e54a85ef

#6 - 05/27/2016 10:34 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 06/17/2016 02:35 AM - Marek Hulan

- Related to Bug #15445: Filter not working for permission: edit_params from resource: parameter added

#8 - 07/26/2016 04:15 AM - Ori Rabin
- Bugzilla link set to 1360191
